%define aurox_ver 9.3
%define rel 1


%define _missing_doc_files_terminate_build 0
%define _unpackaged_files_terminate_build 0

%define build_release 0
%define build_beta 1
%define build_snapshot 2

%define isClean 1

%define isBuild %{build_snapshot}

%define debug 0

%define release_number 4

%define libtool 1

Version: 3.0.0
Summary: Documentation for the K Desktop Environment (KDE)
Name: kdoc
Url: http://www.kde.org/
Icon: kde-icon.xpm
Epoch: 2
Group: Applications/Text
License: LGPL
BuildRoot: %{_tmppath}/%{name}-buildroot

%if "%{isBuild}" == "%{build_release}"
%define release_name %{nil}
Release: %{release_number}
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/distribution/tar/generic/source/%{name}-%{version}.tar.bz2
%endif

%if "%{isBuild}" == "%{build_beta}"
%define release_name beta1
Release: 0.%{release_name}.%{release_number}
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/distribution/tar/generic/source/%{name}-%{release_name}.tar.bz2
%endif

%if "%{isBuild}" == "%{build_snapshot}"
%define release_name 20020321
Release: %{aurox_ver}.aur.%{release_name}cvs.%{release_number}
Source: cvs://cvs.kde.org/%{name}-%{release_name}.tar.bz2
%endif

BuildArch: noarch

BuildRequires: autoconf
BuildRequires: automake

%description
Documentation tools for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT
%if "%{isBuild}" == "%{build_release}"
%setup -q
%else
%setup -q -n %{name}
%endif

# Workaround for legacy auto* tools
%if %{libtool}
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f Makefile.cvs
%endif

%build
unset QTDIR && . /etc/profile.d/qt.sh
export KDEDIR=%{_prefix}
export CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/kde"

%configure 
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

cp -a $RPM_BUILD_ROOT%{_docdir}/kdoc docs
rm -fr $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%{_bindir}/*
%dir %{_datadir}/kdoc
%{_datadir}/kdoc/*
%{_mandir}/*/*

%changelog
* Fri Jan 23 2004 Aurox Team <aurox@aurox.org> 2:3.0.0-9.3.aur.20020321cvs.4
- rebuild

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 2:3.0.0-4
- rebuild

* Sat Jan  4 2003 Jeff Johnson <jbj@redhat.com> 2:3.0.0-3
- use internal dep generator.

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 2:3.0.0-2
- don't use rpms internal dep generator

* Fri Dec 13 2002 Than Ngo <than@redhat.com>
- clean up specfile

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020313.1
- Use autoconf 2.53, automake 1.5

* Sat Dec 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011215.1
- Update

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2 beta 1

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Feb 18 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Tue Nov 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0.1

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current CVS, this should finally be able to generate the kdelibs
  docs

* Fri Oct 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed.
- Fix build on 6.x systems

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0rc2
- clean up spec file

* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- drop icon (glint is obsolete)
- "License" replaces "Copyright"
- use %%docdir
- different releasenumber scheme, the old one can't be used 
  for tools and makes fixing specfiles hard

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- Don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Tue Jun 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build if %%{_mandir} = /usr/man

* Sun Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- FHSify

* Mon Apr  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix compatibility with perl 5.6.0

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- remove renaming to kdoc2 etc, move to /usr

* Wed Mar 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New snapshot
- Make gzipped man pages optional

* Tue Feb  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- handle compressed man pages
- new snapshot

* Wed Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up the makekde2doc script (add missing semicolon)

* Thu Jan  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- get ready for powertools 6.2
- make it a noarch package; it's just perl scripts

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
